# Generated from octocatalog-diff-2.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name octocatalog-diff

Name: rubygem-%{gem_name}
Version: 2.1.0
Release: 1%{?dist}
Summary: Compile Puppet catalogs from 2 branches, versions, etc., and compare them
License: MIT
URL: https://github.com/github/octocatalog-diff
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(rspec) < 3.5
# BuildRequires: rubygem(parallel_tests) = 2.7.1
# BuildRequires: rubygem(rspec-retry) = 0.5.0
# BuildRequires: rubygem(rubocop) = 0.48.1
# BuildRequires: rubygem(simplecov) >= 0.14.1
# BuildRequires: rubygem(simplecov) < 0.15
# BuildRequires: rubygem(simplecov-erb) >= 0.1.1
# BuildRequires: rubygem(simplecov-erb) < 0.2
# BuildRequires: rubygem(puppet) >= 5.5.8
# BuildRequires: rubygem(puppet) < 5.6
BuildArch: noarch

%description
Octocatalog-Diff assists with Puppet development and testing by enabling the
user to
compile 2 Puppet catalogs and compare them. It is possible to compare
different
branches, different versions, and different fact values. This is intended to
be run
from a local development environment or in CI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/octocatalog-diff
%{gem_instdir}/.version
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/scripts
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/doc

%changelog
* Tue Aug 24 2021 mockbuilder - 2.1.0-1
- Initial package
